"""
This file is part of hlrc

Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
http://opensource.cit-ec.de/projects/hlrc

This file may be licensed under the terms of the
GNU General Public License Version 3 (the ``GPL''),
or (at your option) any later version.

Software distributed under the License is distributed
on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
express or implied. See the GPL for the specific language
governing rights and limitations.

You should have received a copy of the GPL along with this
program. If not, go to http://www.gnu.org/licenses/gpl.html
or write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

The development of this software was supported by the
Excellence Cluster EXC 277 Cognitive Interaction Technology.
The Excellence Cluster EXC 277 is a grant of the Deutsche
Forschungsgemeinschaft (DFG) in the context of the German
Excellence Initiative.
"""

class RobotGaze:
	def __init__(self):
		self.pan = 0.0
		self.tilt = 0.0
		self.roll = 0.0
		self.vergence = 0.0
		self.pan_offset = 0.0
		self.tilt_offset = 0.0
		
	def __str__(self):
		return "RobotGaze = { PTR={%6.2f %6.2f %6.2f} vergence=%6.2f PT_offset={%6.2f %6.2f} }"  \
			% (self.pan, self.tilt,self.roll,self.vergence,self.pan_offset,self.tilt_offset)
